<div class="px-3">
    <img src="<?php $im=new thumbnail_tool(CHEMIN,CACHE_VIGNETTES,APP."images/");
         $im->set_source(IMPORTS_URL.$item->getFile('illustration'));
         echo $im->vignette(600,600,false); ?>" class="item-illu img-object-fit aspectratio-1"  title="<?= $item->getDescription('illustration') ?>">
    <h2 class="mt-3"><?= $item->get("titre") ?></h2>
    <div class="item-infos">
        <?php
    $liste=$item->getFilledValues();
         unset($liste['illustration']);
         unset($liste['titre']);    
         foreach($liste as $id => $val){
             if($item->getParam($id,"snippet")){
                 $snippet=getSnippetFile("display_".$item->getParam($id,"snippet").".php");
                 include($snippet);
             } else {
                 // voir s'il existe un snippet spécifique
                 $type=$item->getParam($id,"type");
                 $snippet=getSnippetFile("display_part_".$type.".php");
                 if(!file_exists($snippet)){
                     $snippet=getSnippetFile("display_part_default.php");
                 } 
                 include($snippet);
             }
         }

         foreach(MODULES['insert_item'] as $insert){
             include($insert);
         }

        ?>
    </div>
</div>
